extends HBoxContainer

@onready var _error_label := $ErrorLabel

var _text : String

func _ready():
	set_message(String())

func get_message() -> String:
	return _text

func set_message(value : String):
	_error_label.text = _text
	_error_label.text = value if value == "" else "❗ " + value
